-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 15, 2024 at 02:33 PM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_pet_adoption_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_adopter`
--

CREATE TABLE `tbl_adopter` (
  `adopter_id` int(11) NOT NULL,
  `adopter_name` varchar(100) NOT NULL,
  `adopter_contact` varchar(15) DEFAULT NULL,
  `adopter_email` varchar(100) DEFAULT NULL,
  `adopter_address` varchar(255) DEFAULT NULL,
  `adopter_profile` text DEFAULT NULL,
  `adopter_username` varchar(50) NOT NULL,
  `adopter_password` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_adoption`
--

CREATE TABLE `tbl_adoption` (
  `adoption_id` int(11) NOT NULL,
  `pet_id` int(11) DEFAULT NULL,
  `adopter_id` int(11) DEFAULT NULL,
  `adoption_date` date DEFAULT NULL,
  `upload_adoption_document` text DEFAULT NULL,
  `remarks` text DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_adoption_request`
--

CREATE TABLE `tbl_adoption_request` (
  `adoption_request_id` int(11) NOT NULL,
  `pet_id` int(11) DEFAULT NULL,
  `adopter_id` int(11) DEFAULT NULL,
  `request_date` date DEFAULT NULL,
  `status` enum('Pending','Approved','Rejected') NOT NULL,
  `approval_date` date DEFAULT NULL,
  `remarks` text DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pet`
--

CREATE TABLE `tbl_pet` (
  `pet_id` int(11) NOT NULL,
  `pet_owner_id` int(11) DEFAULT NULL,
  `pet_name` varchar(100) NOT NULL,
  `pet_type_id` int(11) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `age` int(11) DEFAULT NULL,
  `gender` enum('Male','Female') DEFAULT NULL,
  `health_status` enum('Healthy','Needs Treatment') NOT NULL,
  `upload_health_history` text DEFAULT NULL,
  `vaccination_status` enum('Vaccinated','Not Vaccinated') NOT NULL,
  `proof_of_vaccination` text DEFAULT NULL,
  `adoption_status` enum('Available','Pending','Adopted') NOT NULL,
  `date_registered` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pet_media`
--

CREATE TABLE `tbl_pet_media` (
  `pet_media_id` int(11) NOT NULL,
  `pet_id` int(11) DEFAULT NULL,
  `pet_media_name` varchar(255) DEFAULT NULL,
  `pet_media_url` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pet_owner`
--

CREATE TABLE `tbl_pet_owner` (
  `pet_owner_id` int(11) NOT NULL,
  `pet_owner_name` varchar(100) NOT NULL,
  `pet_owner_contact` varchar(15) DEFAULT NULL,
  `pet_owner_email` varchar(100) DEFAULT NULL,
  `pet_owner_address` varchar(255) DEFAULT NULL,
  `pet_owner_profile` text DEFAULT NULL,
  `pet_owner_username` varchar(50) NOT NULL,
  `pet_owner_password` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pet_type`
--

CREATE TABLE `tbl_pet_type` (
  `pet_type_id` int(11) NOT NULL,
  `pet_type_name` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_adopter`
--
ALTER TABLE `tbl_adopter`
  ADD PRIMARY KEY (`adopter_id`),
  ADD UNIQUE KEY `adopter_username` (`adopter_username`);

--
-- Indexes for table `tbl_adoption`
--
ALTER TABLE `tbl_adoption`
  ADD PRIMARY KEY (`adoption_id`),
  ADD KEY `pet_id` (`pet_id`),
  ADD KEY `adopter_id` (`adopter_id`);

--
-- Indexes for table `tbl_adoption_request`
--
ALTER TABLE `tbl_adoption_request`
  ADD PRIMARY KEY (`adoption_request_id`),
  ADD KEY `pet_id` (`pet_id`),
  ADD KEY `adopter_id` (`adopter_id`);

--
-- Indexes for table `tbl_pet`
--
ALTER TABLE `tbl_pet`
  ADD PRIMARY KEY (`pet_id`),
  ADD KEY `pet_owner_id` (`pet_owner_id`),
  ADD KEY `pet_type_id` (`pet_type_id`);

--
-- Indexes for table `tbl_pet_media`
--
ALTER TABLE `tbl_pet_media`
  ADD PRIMARY KEY (`pet_media_id`),
  ADD KEY `pet_id` (`pet_id`);

--
-- Indexes for table `tbl_pet_owner`
--
ALTER TABLE `tbl_pet_owner`
  ADD PRIMARY KEY (`pet_owner_id`),
  ADD UNIQUE KEY `pet_owner_username` (`pet_owner_username`);

--
-- Indexes for table `tbl_pet_type`
--
ALTER TABLE `tbl_pet_type`
  ADD PRIMARY KEY (`pet_type_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_adopter`
--
ALTER TABLE `tbl_adopter`
  MODIFY `adopter_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_adoption`
--
ALTER TABLE `tbl_adoption`
  MODIFY `adoption_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_adoption_request`
--
ALTER TABLE `tbl_adoption_request`
  MODIFY `adoption_request_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_pet`
--
ALTER TABLE `tbl_pet`
  MODIFY `pet_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_pet_media`
--
ALTER TABLE `tbl_pet_media`
  MODIFY `pet_media_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_pet_owner`
--
ALTER TABLE `tbl_pet_owner`
  MODIFY `pet_owner_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_pet_type`
--
ALTER TABLE `tbl_pet_type`
  MODIFY `pet_type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_adoption`
--
ALTER TABLE `tbl_adoption`
  ADD CONSTRAINT `tbl_adoption_ibfk_1` FOREIGN KEY (`pet_id`) REFERENCES `tbl_pet` (`pet_id`),
  ADD CONSTRAINT `tbl_adoption_ibfk_2` FOREIGN KEY (`adopter_id`) REFERENCES `tbl_adopter` (`adopter_id`);

--
-- Constraints for table `tbl_adoption_request`
--
ALTER TABLE `tbl_adoption_request`
  ADD CONSTRAINT `tbl_adoption_request_ibfk_1` FOREIGN KEY (`pet_id`) REFERENCES `tbl_pet` (`pet_id`),
  ADD CONSTRAINT `tbl_adoption_request_ibfk_2` FOREIGN KEY (`adopter_id`) REFERENCES `tbl_adopter` (`adopter_id`);

--
-- Constraints for table `tbl_pet`
--
ALTER TABLE `tbl_pet`
  ADD CONSTRAINT `tbl_pet_ibfk_1` FOREIGN KEY (`pet_owner_id`) REFERENCES `tbl_pet_owner` (`pet_owner_id`),
  ADD CONSTRAINT `tbl_pet_ibfk_2` FOREIGN KEY (`pet_type_id`) REFERENCES `tbl_pet_type` (`pet_type_id`);

--
-- Constraints for table `tbl_pet_media`
--
ALTER TABLE `tbl_pet_media`
  ADD CONSTRAINT `tbl_pet_media_ibfk_1` FOREIGN KEY (`pet_id`) REFERENCES `tbl_pet` (`pet_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
